ReferencesOpenapiNovated asset
List novated asset budgets
List operating budgets for a novated asset in the specified organisation and workspace, with optional status and pagination filters.
Authorization
ApiKeyAuth x-api-key<token>
API key for authentication
In: header
Path Parameters
orgId*string
workspaceId*string
assetId*string
Query Parameters
status?string
page?number
Range
1 <= valueDefault
1limit?number
Range
1 <= value <= 50Default
10Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/organisation/string/workspace/string/novated-asset/string/budget"{ "items": [ { "id": 0, "referenceId": "string", "name": "string", "status": "string", "type": "string", "durationInMonths": 0, "totalBudgetCostExGst": "string", "totalBudgetCostGst": "string", "monthlyBudgetExGst": "string", "monthlyBudgetGst": "string", "startDate": "string", "endDate": "string", "lineItems": [ { "id": 0, "type": "string", "description": "string", "status": "string", "amountExGst": "string", "amountGst": "string", "monthlyExGst": "string", "monthlyGst": "string" } ] } ], "pagination": { "total": 0, "page": 0, "limit": 0, "totalPages": 0 }}
